# cabal2spec-0.25
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name editline

%global common_summary Haskell %{pkg_name} library

%global common_description A binding to the BSD editline library \
(http://thrysoee.dk/editline). It provides a basic interface\
to the editline API for reading lines in input for the user.\
\
Additionally, a readline compatibility module is included, which\
provides a subset of the functionality of the readline library.

Name:           ghc-%{pkg_name}
Version:        0.2.1.0
Release:        29%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  libedit-devel%{?_isa}
BuildRequires:  ghc-base-devel

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


# devel subpackage
%ghc_devel_package
Requires:       libedit-devel%{?_isa}

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%Changelog
* Sun Nov 18 2012 Jochen Schmitt <Jochen herr-schmitt de> - 0.2.1.0-29
- Fix broken dependencies

* Sun Mar 18 2012 Jens Petersen <petersen@redhat.com> - 0.2.1.0-26
- update to cabal2spec-0.25

* Wed Oct 26 2011 Jens Petersen <petersen@redhat.com> - 0.2.1.0-25
- update to cabal2spec-0.24.1
- use _isa for libedit dependency

* Sun Jun 19 2011 Jochen Schmitt <Jochen herr-schmitt de> 0.2.1.0-24
- Rebuild for new ghc release

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> 0.2.1.0-23
- Enable build on sparcv9

* Fri Jan  7 2011 Jochen Schmitt <Jochen herr-schmitt de> 0.2.1.0-20
- Rebuild to bix broken dependencies on rawhide

* Fri Nov 26 2010 Jens Petersen <petersen@redhat.com> 0.2.1.0-19
- rebuild for ghc-7.0.1
- no longer need BR for libffi-devel
- drop deprecated -o obsoletes

* Sun Nov  7 2010 Jochen Schmitt <Jochen herr-schmitt de> 0.2.1.0-18
- Add libffi-devel as a new BR

* Sat Sep  4 2010 Jens Petersen <petersen@redhat.com> - 0.2.1.0-17
- add hscolour and doc obsolete (cabal2spec-0.22.2)

* Sun Jun 27 2010 Jens Petersen <petersen@redhat.com> - 0.2.1.0-16
- sync cabal2spec-0.22.1

* Tue Apr 27 2010 Jens Petersen <petersen@redhat.com> - 0.2.1.0-15
- rebuild against ghc-6.12.2
- condition ghc_lib_package

* Wed Jan 20 2010 Jochen Schmitt <Jochen herr-schmitt de> 0.2.1.0-14
- Fix missing package-conf issue

* Mon Jan 11 2010 Jens Petersen <petersen@redhat.com> 0.2.1.0-13
- update to ghc-rpm-macros-0.5.1 and cabal2spec-0.21.1:
- drop doc and prof bcond
- use common summary and common_description
- use ghc_lib_package
- drop redundant buildroot and its install cleaning

* Tue Dec 22 2009 Jens Petersen <petersen@redhat.com> 0.2.1.0-12
- build for ghc-6.12.1
- added shared library support: needs ghc-rpm-macros 0.3.1

* Wed Sep 16 2009 Jens Petersen <petersen@redhat.com> 0.2.1.0-11
- sync with current cabal2spec template to minimise cabal2spec-diff
  - fixes uninstall error

* Mon Jul 27 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.2.1.0-10
- Rebuild

* Thu Jul 23 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.2.1.0-8
- Fix typo in Requires(post)

* Thu Jul 23 2009 Jens Petersen <petersen@redhat.com> - 0.2.1.0-7
- pkg_libdir is redundant
- devel requires libedit-devel

* Wed Jul 22 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.2.1.0-6
- Rebuild for new ghc release on rawhide

* Tue Jul 21 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.2.1.0-5
- Fix typo in %%{pkg_name} macro

* Mon Jul 20 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.2.1.0-4
- Fix typo in definition of %%{pkg_libdir}

* Sun Jul 19 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.2.1.0-3
- Fix monor grammer issue

* Thu Jul 16 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.2.1.0-2
- Fix typos reported in review reqest

* Thu Jul  9 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.2.1.0-1
- Initial package


